My setup: Drupal 7.18 / IIS 7.5 / SQL Server 2008

My issue: This issue is confusing so I hope that I can keep convey what's occurring on my end:

I just attempted an update from LDAP 7.x-1.0-beta12 (Aug 20, 2012) to 7.x-2.0-beta3 (Dec 7, 2012). Copying over the files worked fine, but then I received an error after running the update script with these updates:

1ST ATTEMPT:

These updates showed up on the list:

ldap_authorization module
7201 - moving some groups related fields into ldap server module
7202 - remove user ldap authorizations field. its in $user->data now
7203 - make all schema field names lowercase in ldap server to deal with cronic case sensitivity issues
ldap_query module
7102 - make ldap_query.scope field small int instead of tiny int for ctools bug

Error that I received on the 1st attempt:

Fatal error: Call to undefined function ldap_servers_module_load_include() in E:\inetpub\wwwroot\drupal\sites\all\modules\ldap\ldap_query\ldap_query.module on line 116

2ND ATTEMPT:

These updates showed up on the list:

ldap_authorization module
    7201 - moving some groups related fields into ldap server module
    7202 - remove user ldap authorizations field. its in $user->data now
    7203 - make all schema field names lowercase in ldap server to deal with cronic case sensitivity issues
ldap_query module
    7102 - make ldap_query.scope field small int instead of tiny int for ctools bug
ldap_servers module
    7106 - add account_name_attr field to ldap_servers table
    7107 - remove allow_conflicting_drupal_accts from ldap_servers table
    7108 - add group related fields to ldap_servers table
    7109 - adjust group related fields to ldap_servers table
    7110 - adjust group related fields to ldap_servers table
    7111 - add field groupTestGroupDnWriteable to ldap_servers table
    7112 - add field testingDrupalUserDn to ldap_servers table
    7201 - upgrade as much as feasible for 7.1 to 7.2 branch
    7202 - make ldap_servers.bind_method field small int instead of tiny int for ctools bug
    7203 - make all schema field names lowercase in ldap server to deal with cronic case sensitivity issues

Error that I received on the 2nd attempt:

Fatal error: Call to undefined function ldap_server_module_load_include() in E:\inetpub\wwwroot\drupal\sites\all\modules\ldap\ldap_authentication\ldap_authentication.module on line 79

Also, the following notices/warnings appear on LDAP Help page:

Notice: unserialize(): Error at offset 0 of 867 bytes in LdapAuthorizationConsumerConf->loadFromDb() (line 98 of E:\inetpub\wwwroot\drupal\sites\all\modules\ldap\ldap_authorization\LdapAuthorizationConsumerConf.class.php).
Notice: unserialize(): Error at offset 0 of 867 bytes in LdapAuthorizationConsumerConf->loadFromDb() (line 98 of E:\inetpub\wwwroot\drupal\sites\all\modules\ldap\ldap_authorization\LdapAuthorizationConsumerConf.class.php).
Warning: Invalid argument supplied for foreach() in LdapAuthorizationConsumerConfAdmin->mappingsToPipeList() (line 532 of E:\inetpub\wwwroot\drupal\sites\all\modules\ldap\ldap_authorization\LdapAuthorizationConsumerConfAdmin.class.php).

And clicking on the "Authentication" and "Profile Mapping" tabs each go to blank pages.

So I'm now reverting back to LDAP 7.x-1.0-beta12. Has anyone else run into this issue?

Files: 
CommentFileSizeAuthor
ldap_config.txt25.22 KBjayhawkfan75

Comments

Got a similar error when uninstalling LDAP Query ->

Fatal error: Call to undefined function ldap_servers_module_load_include() in /xxx/sites/all/modules/ldap/ldap_query/ldap_query.install on line 56

Category:bug» support

There is no update/upgrade path for 1.0 to 2.0 branch. This should be done by hand. When a release candidate for 7.x-2.0 is ready, I'll work on an automated update. You may have better luck with 7.x-1.x to 7.x-2.x-dev; but a manual upgrade is a better approach.

@johnbarclay: Thanks for the quick reply.

There is no update/upgrade path for 1.0 to 2.0 branch. This should be done by hand. When a release candidate for 7.x-2.0 is ready, I'll work on an automated update. You may have better luck with 7.x-1.x to 7.x-2.x-dev; but a manual upgrade is a better approach.

Ok, I now understand that there's no current path from 7.x-1.0-beta12 to 7.x-2.0-beta3, but I still do have a few questions:

  1. What are the major differences between those two versions at this time?
  2. Is it worth it for me to update LDAP to 7.x-2.0-beta3 if 7.x-1.0-beta12 is working fine for me now, or should I wait until a fully-updatable 7.x-2.0-rc is released?
  3. How can I update it manually without losing all of my existing settings?

Thanks for your help and input.

Always wait for a release candidate if you have a functional setup. Manually move the settings to the new version. This way you will understand any changes that exist between the 2 versions.

Will do. Hopefully I can get the rest worked out soon so that I can launch the site securely.

Thanks for the clarification. It's much appreciated.

Version:7.x-2.0-beta3» 7.x-2.x-dev
Status:Active» Closed (duplicate)

Until a release candidate is ready in 7.x-2.x branch, there is no supported update/upgrade path. It is best to manually uninstall and reinstall.